/**
 * <copyright>
 * </copyright>
 *
 * $Id: SchemaValidator.java,v 1.1 2008-04-01 09:35:53 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.entrypoint.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.datamining.miningcore.entrypoint.AuxiliaryObject;
import orgomg.cwm.analysis.datamining.miningcore.entrypoint.Catalog;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.CategoryMatrix;
import orgomg.cwm.analysis.datamining.miningcore.miningdata.CategoryTaxonomy;
import orgomg.cwm.analysis.datamining.miningcore.miningdata.LogicalData;

import orgomg.cwm.analysis.datamining.miningcore.miningfunctionsettings.MiningFunctionSettings;

import orgomg.cwm.analysis.datamining.miningcore.miningmodel.MiningModel;

import orgomg.cwm.analysis.datamining.miningcore.miningresult.MiningResult;

import orgomg.cwm.analysis.datamining.miningcore.miningtask.MiningTask;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.entrypoint.Schema}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface SchemaValidator {
	boolean validate();

	boolean validateCatalog(Catalog value);
	boolean validateLogicalData(EList<LogicalData> value);
	boolean validateCategoryMatrix(EList<CategoryMatrix> value);
	boolean validateAuxObjects(AuxiliaryObject value);
	boolean validateTaxonomy(EList<CategoryTaxonomy> value);
	boolean validateMiningFunctionSettings(EList<MiningFunctionSettings> value);
	boolean validateMiningModel(EList<MiningModel> value);
	boolean validateMiningTask(EList<MiningTask> value);
	boolean validateResult(EList<MiningResult> value);
}
